### Method

# Gegl Randomfloat

#### Declaration [src]

    gfloat
    gegl_random_float (
      const GeglRandom* rand,
      gint x,
      gint y,
      gint z,
      gint n
    )

#### Description [src]

Return a random floating point number in range 0.0 .. 1.0.

#### Parameters

`x`

  Type: `gint`

  X coordinate.

`y`

  Type: `gint`

  Y coordinate.

`z`

  Type: `gint`

  Z coordinate (mipmap level).

`n`

  Type: `gint`

  Number no (each x,y coordinate provides its own sequence of numbers.

#### Return value

Type: `gfloat`

No description available.